Excel vers Autocad

Signaler
Messages postés
9
Date d'inscription
mercredi 24 octobre 2007
Statut
Membre
Dernière intervention
9 août 2009
-
Messages postés
9
Date d'inscription
mercredi 24 octobre 2007
Statut
Membre
Dernière intervention
9 août 2009
-
Bonjour,

je cherche comment passer de coordonnée x;y (dans un tableau excel), vers la réalisation de ligne sur AUTOCAD LT.
J'ai bien trouvé la solution VBA sur AUTOCAD version complète. Mais AUTOCAD LT ne dispose pas du module VBA.

Auriez vous la solution svp? Je vous remercie d'avance pour vos propositions.

Cordialement.

3 réponses

Messages postés
1229
Date d'inscription
vendredi 16 novembre 2007
Statut
Membre
Dernière intervention
16 juin 2009
1
Bonjour

http://www.vbfrance.com/codes/EXCEL-AUTOCAD-LT_46383.aspx

Bon courage

S.L.B.
<hr />-- Le règlement tu liras -- Des recherches tu feras -- Le style SMS tu banniras --
-- De la validation pertinente tu feras -- Du respect tu auras -- <
Messages postés
42
Date d'inscription
dimanche 1 février 2004
Statut
Membre
Dernière intervention
15 mai 2011

Voici une solution que j'utilise et qui marche
A toi de creer la macro qui  ecrit cette macro ( c'est assez facile ).

Sub acad()
'copier TOUTE cette page et insérer TOUT son contenu dans un module.
On Error Resume Next


Dim BaLigne As AcadLine
Dim PtDep(0 To 2) As Double
Dim PtFin(0 To 2) As Double


PtDep(0) =-4.29444764273687
PtDep(1) =0.981112680717775
PtDep(2) =0
PtFin(0) =-3.51258664308751
PtFin(1) =2.6314134457121
PtFin(2) =0
Set BaLigne = ThisDrawing.ModelSpace.AddLine(PtDep, PtFin)




PtDep(0) =-3.51258664308751
PtDep(1) =2.6314134457121
PtDep(2) =0
PtFin(0) =-2.54899901512416
PtFin(1) =3.91291319959302
PtFin(2) =0
Set BaLigne = ThisDrawing.ModelSpace.AddLine(PtDep, PtFin)

Msgbox "Tracé sur Autocad réalisé.",,"Mesure 2D"


End Sub
Messages postés
9
Date d'inscription
mercredi 24 octobre 2007
Statut
Membre
Dernière intervention
9 août 2009

Excuse moi [../auteur/DEDEDERIDINY/224646.aspx dedederidiny], mais je suis pas encore une star concernant les macros.
Pourrais tu m'expliquer un peu plus comment faire stp.

Merci d'avance pour ton aide.